Ticket #29451: mysql-failures.log

File mysql-failures.log, 9.2 KB (added by Tim Graham, 15 months ago)
Line 
1======================================================================
2ERROR: test_regex_non_ascii (lookup.tests.LookupTests)
3----------------------------------------------------------------------
4Traceback (most recent call last):
5  File "tests/lookup/tests.py", line 737, in test_regex_non_ascii
6    Player.objects.get(name__regex='\u2660')
7  File "django/db/models/manager.py", line 82, in manager_method
8    return getattr(self.get_queryset(), name)(*args, **kwargs)
9  File "django/db/models/query.py", line 399, in get
10    self.model._meta.object_name
11lookup.models.Player.DoesNotExist: Player matching query does not exist.
12
13======================================================================
14ERROR: test_ordering (queries.tests.Queries5Tests)
15----------------------------------------------------------------------
16Traceback (most recent call last):
17  File "django/db/backends/utils.py", line 85, in _execute
18    return self.cursor.execute(sql, params)
19  File "django/db/backends/mysql/base.py", line 71, in execute
20    return self.cursor.execute(query, args)
21  File "python3.6/site-packages/MySQLdb/cursors.py", line 250, in execute
22    self.errorhandler(self, exc, value)
23  File "python3.6/site-packages/MySQLdb/connections.py", line 50, in defaulterrorhandler
24    raise errorvalue
25  File "python3.6/site-packages/MySQLdb/cursors.py", line 247, in execute
26    res = self._query(query)
27  File "python3.6/site-packages/MySQLdb/cursors.py", line 412, in _query
28    rowcount = self._do_query(q)
29  File "python3.6/site-packages/MySQLdb/cursors.py", line 375, in _do_query
30    db.query(q)
31  File "python3.6/site-packages/MySQLdb/connections.py", line 276, in query
32    _mysql.connection.query(self, query)
33_mysql_exceptions.ProgrammingError: (1064, "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '> 2 then 1 else 0 end) AS `good`, `queries_ranking`.`id`, `queries_ranking`.`ran' at line 1")
34
35The above exception was the direct cause of the following exception:
36
37Traceback (most recent call last):
38  File "tests/queries/tests.py", line 1641, in test_ordering
39    [o.good for o in qs.extra(order_by=('-good',))],
40  File "django/db/models/query.py", line 268, in __iter__
41    self._fetch_all()
42  File "django/db/models/query.py", line 1183, in _fetch_all
43    self._result_cache = list(self._iterable_class(self))
44  File "django/db/models/query.py", line 54, in __iter__
45    results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)
46  File "django/db/models/sql/compiler.py", line 1059, in execute_sql
47    cursor.execute(sql, params)
48  File "django/db/backends/utils.py", line 68, in execute
49    return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
50  File "django/db/backends/utils.py", line 77, in _execute_with_wrappers
51    return executor(sql, params, many, context)
52  File "django/db/backends/utils.py", line 85, in _execute
53    return self.cursor.execute(sql, params)
54  File "django/db/utils.py", line 89, in __exit__
55    raise dj_exc_value.with_traceback(traceback) from exc_value
56  File "django/db/backends/utils.py", line 85, in _execute
57    return self.cursor.execute(sql, params)
58  File "django/db/backends/mysql/base.py", line 71, in execute
59    return self.cursor.execute(query, args)
60  File "python3.6/site-packages/MySQLdb/cursors.py", line 250, in execute
61    self.errorhandler(self, exc, value)
62  File "python3.6/site-packages/MySQLdb/connections.py", line 50, in defaulterrorhandler
63    raise errorvalue
64  File "python3.6/site-packages/MySQLdb/cursors.py", line 247, in execute
65    res = self._query(query)
66  File "python3.6/site-packages/MySQLdb/cursors.py", line 412, in _query
67    rowcount = self._do_query(q)
68  File "python3.6/site-packages/MySQLdb/cursors.py", line 375, in _do_query
69    db.query(q)
70  File "python3.6/site-packages/MySQLdb/connections.py", line 276, in query
71    _mysql.connection.query(self, query)
72django.db.utils.ProgrammingError: (1064, "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '> 2 then 1 else 0 end) AS `good`, `queries_ranking`.`id`, `queries_ranking`.`ran' at line 1")
73
74======================================================================
75ERROR: test_ticket7256 (queries.tests.Queries5Tests)
76----------------------------------------------------------------------
77Traceback (most recent call last):
78  File "django/db/backends/utils.py", line 85, in _execute
79    return self.cursor.execute(sql, params)
80  File "django/db/backends/mysql/base.py", line 71, in execute
81    return self.cursor.execute(query, args)
82  File "python3.6/site-packages/MySQLdb/cursors.py", line 250, in execute
83    self.errorhandler(self, exc, value)
84  File "python3.6/site-packages/MySQLdb/connections.py", line 50, in defaulterrorhandler
85    raise errorvalue
86  File "python3.6/site-packages/MySQLdb/cursors.py", line 247, in execute
87    res = self._query(query)
88  File "python3.6/site-packages/MySQLdb/cursors.py", line 412, in _query
89    rowcount = self._do_query(q)
90  File "python3.6/site-packages/MySQLdb/cursors.py", line 375, in _do_query
91    db.query(q)
92  File "python3.6/site-packages/MySQLdb/connections.py", line 276, in query
93    _mysql.connection.query(self, query)
94_mysql_exceptions.ProgrammingError: (1064, "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '> 2 then 1 else 0 end) AS `good`, `queries_ranking`.`id`, `queries_ranking`.`ran' at line 1")
95
96The above exception was the direct cause of the following exception:
97
98Traceback (most recent call last):
99  File "tests/queries/tests.py", line 1662, in test_ticket7256
100    for d in dicts:
101  File "django/db/models/query.py", line 268, in __iter__
102    self._fetch_all()
103  File "django/db/models/query.py", line 1183, in _fetch_all
104    self._result_cache = list(self._iterable_class(self))
105  File "django/db/models/query.py", line 106, in __iter__
106    for row in compiler.results_iter(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size):
107  File "django/db/models/sql/compiler.py", line 1011, in results_iter
108    results = self.execute_sql(MULTI, chunked_fetch=chunked_fetch, chunk_size=chunk_size)
109  File "django/db/models/sql/compiler.py", line 1059, in execute_sql
110    cursor.execute(sql, params)
111  File "django/db/backends/utils.py", line 68, in execute
112    return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
113  File "django/db/backends/utils.py", line 77, in _execute_with_wrappers
114    return executor(sql, params, many, context)
115  File "django/db/backends/utils.py", line 85, in _execute
116    return self.cursor.execute(sql, params)
117  File "django/db/utils.py", line 89, in __exit__
118    raise dj_exc_value.with_traceback(traceback) from exc_value
119  File "django/db/backends/utils.py", line 85, in _execute
120    return self.cursor.execute(sql, params)
121  File "django/db/backends/mysql/base.py", line 71, in execute
122    return self.cursor.execute(query, args)
123  File "python3.6/site-packages/MySQLdb/cursors.py", line 250, in execute
124    self.errorhandler(self, exc, value)
125  File "python3.6/site-packages/MySQLdb/connections.py", line 50, in defaulterrorhandler
126    raise errorvalue
127  File "python3.6/site-packages/MySQLdb/cursors.py", line 247, in execute
128    res = self._query(query)
129  File "python3.6/site-packages/MySQLdb/cursors.py", line 412, in _query
130    rowcount = self._do_query(q)
131  File "python3.6/site-packages/MySQLdb/cursors.py", line 375, in _do_query
132    db.query(q)
133  File "python3.6/site-packages/MySQLdb/connections.py", line 276, in query
134    _mysql.connection.query(self, query)
135django.db.utils.ProgrammingError: (1064, "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '> 2 then 1 else 0 end) AS `good`, `queries_ranking`.`id`, `queries_ranking`.`ran' at line 1")
136
137======================================================================
138FAIL: test_regex (lookup.tests.LookupTests)
139----------------------------------------------------------------------
140Traceback (most recent call last):
141  File "tests/lookup/tests.py", line 601, in test_regex
142    ['<Article: f>', '<Article: fo>', '<Article: foo>', '<Article: fooo>']
143  File "django/test/testcases.py", line 955, in assertQuerysetEqual
144    return self.assertEqual(list(items), values, msg=msg)
145AssertionError: Lists differ: [] != ['<Article: f>', '<Article: fo>', '<Article: foo>', '<Article: fooo>']
146
147Second list contains 4 additional elements.
148First extra element 0:
149'<Article: f>'
150
151- []
152+ ['<Article: f>', '<Article: fo>', '<Article: foo>', '<Article: fooo>']
153
154======================================================================
155FAIL: test_regex_non_string (lookup.tests.LookupTests)
156----------------------------------------------------------------------
157Traceback (most recent call last):
158  File "tests/lookup/tests.py", line 730, in test_regex_non_string
159    self.assertQuerysetEqual(Season.objects.filter(gt__regex=r'^444$'), ['<Season: 2013>'])
160  File "django/test/testcases.py", line 955, in assertQuerysetEqual
161    return self.assertEqual(list(items), values, msg=msg)
162AssertionError: Lists differ: [] != ['<Season: 2013>']
163
164Second list contains 1 additional elements.
165First extra element 0:
166'<Season: 2013>'
167
168- []
169+ ['<Season: 2013>']
Back to Top